﻿<html>
<head>
    <title>webrtc demo</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <link rel="stylesheet" href="https://code.getmdl.io/1.3.0/material.indigo-pink.min.css">
    <script defer src="https://code.getmdl.io/1.3.0/material.min.js"></script>
    <script src="sip-0.20.0.min.js" type="text/javascript"></script>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script>
        // sipjs_demos.js

        function getAudio(id) {
            console.log(id);
            const el = document.getElementById(id);
            console.log(el);
            return el;
        }

        // set the destination ip of the keypad service
        var domain = '68.183.220.137';

        //set the caller id
        const aor = 'sip:0722744002@' + domain;
        var fromName = 'Caller';

        // set the destination number
        var toURI = 'sip:+972544889090@' + domain;
        var toName = 'Callee';

        var simple = null;
        var state = null;

        // Function: createSimple
        //   creates a SIP.js Simple instance with the given arguments plugged into the
        //   configuration. This is a standard Simple instance for WebRTC calls.
        //
        // Arguments:
        //   callerURI: the URI of the caller, aka, the URI that belongs to this user.
        //   displayName: what name we should display the user as
        //   remoteVideo: the DOM element id of the video for the remote
        function createSimple(callerURI, displayName, remoteVideoElement) {

            var configuration = {
                aor,
                media: {
                    remote: {
                        audio: remoteVideoElement
                    }
                },
                ua: {
                    traceSip: true,
                    uri: aor,
                    displayName: displayName,
                    userAgentString: "SIP-0.20.0.js"
                }
            };
            return new SIP.Web.SimpleUser("wss://webrtc01.phone.do:443", configuration);
        }

        // place a webrtc call towards keypad
        function call(to) {
            simple.call(to);
            state = 1;
        }

        // disconnect the call
        function hangup() {
            simple.hangup();
            state = null;
        }

        // connect to keypad when page is loaded
        function start() {
            var remoteVideoElement = getAudio('remoteAudio');
            simple = createSimple(aor, fromName, remoteVideoElement);
            simple.connect();
        }

        function doState() {
            if (state == null) {
                var to = 'sip:+' + document.getElementById("dest").value + '@' + domain;
                document.getElementById("callIcon").innerHTML = "call_end";
                document.getElementById("one-button").classList.remove('mdl-button--primary');
                document.getElementById("one-button").classList.add('mdl-button--colored');
                call(to);
            } else {
                document.getElementById("callIcon").innerHTML = "call";
                document.getElementById("one-button").classList.remove('mdl-button--colored');
                document.getElementById("one-button").classList.add('mdl-button--primary');
                hangup();
            }
        }

        function dial(digit) {
            document.getElementById('dest').value = document.getElementById('dest').value + digit;
        }

        function backone() {
            console.log('backone');
            document.getElementById('dest').value = document.getElementById('dest').value.slice(0, -1);
        }

        function cleardest() {
            console.log('clear');
            document.getElementById('dest').value = '';
        }

    </script>
</head>
<body onload="start()">
    <div class="clearfix"><br /></div>
    <div class="demo-window" align="center">
        <div class="clearfix"><br /></div>
        <input id="dest" type="text" style="font-size: x-large; padding: 6px 0px 6px 0px; text-align:center;"
               oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');" />
        <div class="clearfix"><br /></div>
        <button onclick="dial('1')" class="mdl-button mdl-js-button mdl-button--fab" style="margin: 8px 8px 8px 8px;">
            1
        </button>
        <button onclick="dial('2')" class="mdl-button mdl-js-button mdl-button--fab" style="margin: 8px 8px 8px 8px;">
            2
        </button>
        <button onclick="dial('3')" class="mdl-button mdl-js-button mdl-button--fab" style="margin: 8px 8px 8px 8px;">
            3
        </button>
        <div class="clearfix"></div>
        <button onclick="dial('4')" class="mdl-button mdl-js-button mdl-button--fab" style="margin: 8px 8px 8px 8px;">
            4
        </button>
        <button onclick="dial('5')" class="mdl-button mdl-js-button mdl-button--fab" style="margin: 8px 8px 8px 8px;">
            5
        </button>
        <button onclick="dial('6')" class="mdl-button mdl-js-button mdl-button--fab" style="margin: 8px 8px 8px 8px;">
            6
        </button>
        <div class="clearfix"></div>
        <button onclick="dial('7')" class="mdl-button mdl-js-button mdl-button--fab" style="margin: 8px 8px 8px 8px;">
            7
        </button>
        <button onclick="dial('8')" class="mdl-button mdl-js-button mdl-button--fab" style="margin: 8px 8px 8px 8px;">
            8
        </button>
        <button onclick="dial('9')" class="mdl-button mdl-js-button mdl-button--fab" style="margin: 8px 8px 8px 8px;">
            9
        </button>
        <div class="clearfix"></div>
        <button onclick="cleardest()" class="mdl-button mdl-js-button mdl-button--fab" style="margin: 8px 8px 8px 8px;">
            <i class="material-icons">cancel</i>
        </button>
        <button onclick="dial('0')" class="mdl-button mdl-js-button mdl-button--fab" style="margin: 8px 8px 8px 8px;">
            0
        </button>
        <button onclick="backone()" class="mdl-button mdl-js-button mdl-button--fab" style="margin: 8px 8px 8px 8px;">
            <i class="material-icons">backspace</i>
        </button>
        <div class="clearfix"><br /></div>
        <audio id="remoteAudio" controls>
            <p>Your browser doesn't support HTML5 audio.</p>
        </audio>
        <div class="clearfix"><br /></div>
        <button id="one-button" onclick="doState()" class="mdl-button mdl-js-button mdl-button--fab mdl-button--primary">
            <i class="material-icons" id="callIcon">call</i>
        </button>
    </div>
</body>
</html>